import 'reflect-metadata'
import {Service} from "typedi"
import {IUser} from "../types"
import {db} from "../includes"

@Service()
export class UserModel{
    async insertUser(user:IUser){
        await db.query('insert into users (username,realName,role) values(?,?,?) ' +
            'ON DUPLICATE KEY UPDATE username=username',[
            user.username,user.realName,user.role
        ])
    }
}
